## cinnamon-desktop 3.2.4+serena

=== debian/control ===
Source: cinnamon-desktop
Section: x11
Priority: optional
Maintainer: Clement Lefebvre <root@linuxmint.com>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               autoconf-archive,
               dh-python,
               dh-exec,
               dpkg-dev (>= 1.15.1),
               gnome-doc-utils (>= 0.3.2),
               gnome-pkg-tools (>= 0.10),
               gobject-introspection (>= 0.10.2-1~),
               gtk-doc-tools (>= 1.4),
               intltool (>= 0.40.6),
               libgdk-pixbuf2.0-dev (>= 2.22.0),
               libgirepository1.0-dev (>= 0.10.2-1~),
               libglib2.0-dev (>= 2.37.3),
               libgtk-3-dev (>= 3.3.16),
               libx11-dev,
               libxext-dev,
               libxkbfile-dev,
               libxml2-dev (>= 2.4.20),
               libxrandr-dev (>= 2:1.3),
               python,
               xkb-data,
               libpulse-dev,
               yelp-tools
Standards-Version: 3.9.6
XS-Testsuite: autopkgtest

Package: cinnamon-desktop-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${python:Depends}, python, python-gi
Description: Common files for Cinnamon desktop apps
 This package includes files that are shared between several Cinnamon
 apps (i18n files and configuration schemas).

Package: libcinnamon-desktop4
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: cinnamon-desktop-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: hwdata (>= 0.227-1)
Description: Cinnamon library for loading .desktop files
 This library is used by Cinnamon to load the .desktop files.

Package: libcinnamon-desktop-dev
Section: libdevel
Architecture: any
Depends: gir1.2-cinnamondesktop-3.0 (= ${binary:Version}),
         libcinnamon-desktop4 (= ${binary:Version}),
         libgtk-3-dev (>= 3.3.16),
         libxkbfile-dev,
         ${misc:Depends}
Description: Cinnamon library for loading .desktop files - development files
 This package provides the include files and static library for the Cinnamon
 desktop library functions.

Package: gir1.2-cinnamondesktop-3.0
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: Introspection data for CinnamonDesktop
 This package contains the introspection data for CinnamonDesktop.

Package: libcinnamon-desktop-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libcinnamon-desktop4 (= ${binary:Version}), ${misc:Depends}
Description: Cinnamon library for loading .desktop files - debug symbols
 This package contains the symbols files needed to debug the Cinnamon desktop
 library.

Package: libcvc0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Utility library for volume control of pulseaudio from gobject-based
 Cinnamon modules/applications.

Package: libcvc-dev
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: gir1.2-cvc-1.0 (= ${binary:Version}),
         libcvc0 (= ${binary:Version}),
         ${misc:Depends}
Description: Utility library for volume control of pulseaudio from gobject-based
 Cinnamon modules/applications.  This package provides the include files and static
 library for cvc.

Package: gir1.2-cvc-1.0
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: Utility library for volume control of pulseaudio from gobject-based
 Cinnamon modules/applications.  This package contains the introspection data for Cvc.

Package: libcvc-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libcvc0 (= ${binary:Version}), ${misc:Depends}
Description: Utility library for volume control of pulseaudio from gobject-based
 Cinnamon modules/applications.  This package contains the symbols files needed to
 debug the Cvc library.

## cinnamon-desktop 3.4.2

=== debian/changelog ===
cinnamon-desktop (3.4.2-2) unstable; urgency=medium

  [ Fabio Fantoni ]
  * Removed PAM auth part that was moved back to cinnamon-screensaver.

  [ Maximiliano Curia ]
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sat, 02 Sep 2017 07:35:19 +0200

cinnamon-desktop (3.4.2-1) experimental; urgency=medium

  * New upstream release (3.4.2).
  * Add missing libaccountsservice-dev build dep
  * Update symbols file
  * Add breaks for older cinnamon-settings-daemon
  * Bump group breaks (3.4)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Sun, 06 Aug 2017 17:32:51 +0200

=== debian/control ===
Source: cinnamon-desktop
Section: x11
Priority: optional
Maintainer: Debian Cinnamon Team <pkg-cinnamon-team@lists.alioth.debian.org>
Uploaders:
 Maximiliano Curia <maxy@debian.org>,
 Margarita Manterola <marga@debian.org>,
 Fabio Fantoni <fantonifabio@tiscali.it>,
Build-Depends:
 autoconf-archive,
 automake,
 debhelper (>= 9),
 dh-autoreconf,
 dh-python,
 dpkg-dev (>= 1.15.1),
 gnome-doc-utils (>= 0.3.2),
 gnome-pkg-tools (>= 0.10),
 gobject-introspection (>= 0.10.2-1~),
 gtk-doc-tools (>= 1.4),
 intltool (>= 0.40.6),
 libaccountsservice-dev,
 libgdk-pixbuf2.0-dev (>= 2.22.0),
 libgirepository1.0-dev (>= 0.10.2-1~),
 libglib2.0-dev (>= 2.37.3),
 libgtk-3-dev (>= 3.3.16),
 libpulse-dev,
 libx11-dev,
 libxext-dev,
 libxkbfile-dev,
 libxml2-dev (>= 2.4.20),
 libxrandr-dev (>= 2:1.3),
 python,
 xkb-data,
 yelp-tools,
Standards-Version: 3.9.8
Homepage: http://cinnamon.linuxmint.com/
Vcs-Browser: https://anonscm.debian.org/git/pkg-cinnamon/cinnamon-desktop.git
Vcs-Git: https://anonscm.debian.org/git/pkg-cinnamon/cinnamon-desktop.git

Package: cinnamon-desktop-data
Architecture: all
Breaks:
 cinnamon (<< 3.4),
 cinnamon-control-center (<< 3.4),
 cinnamon-screensaver (<< 3.4),
 cinnamon-session (<< 3.4),
 cinnamon-settings-daemon (<< 3.4),
Multi-Arch: foreign
Depends: python, python-gi, ${misc:Depends}, ${python:Depends}
Description: Common files for Cinnamon desktop apps
 This package includes files that are shared between several Cinnamon
 apps (i18n files and configuration schemas).

Package: libcinnamon-desktop4
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 cinnamon-desktop-data (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: hwdata (>= 0.227-1)
Breaks:
 cinnamon-control-center (<< 3.4),
 cinnamon-settings-daemon (<< 3.4),
 libcinnamon-control-center1 (<< 3.4),
 nemo (<< 3.4),
Description: Cinnamon library for loading .desktop files
 This library is used by Cinnamon to load the .desktop files.

Package: libcvc0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Cinnamon pulseaudio abstraction library
 This library contains code to access PulseAudio using a GObject
 based library, shared between cinnamon-control-center, cinnamon-settings-daemon
 and cinnamon. It is not API stable, and it is meant to be used
 as a submodule.
Breaks: cinnamon-settings-daemon (<< 3.4)

Package: libcinnamon-desktop-dev
Section: libdevel
Architecture: any
Depends:
 gir1.2-cinnamondesktop-3.0 (= ${binary:Version}),
 libcinnamon-desktop4 (= ${binary:Version}),
 libcvc0 (= ${binary:Version}),
 libgtk-3-dev (>= 3.3.16),
 libxkbfile-dev,
 ${misc:Depends},
Description: Cinnamon library for loading .desktop files - development files
 This package provides the include files and static library for the Cinnamon
 desktop library functions.

Package: gir1.2-cinnamondesktop-3.0
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: Introspection data for CinnamonDesktop
 This package contains the introspection data for CinnamonDesktop.
Breaks:
 cinnamon-common (<< 3.4),
 cinnamon-screensaver (<< 3.4),
 gir1.2-meta-muffin-0.0 (<< 3.4),

Package: gir1.2-cvc-1.0
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: Introspection data for Cinnamon pulseaudio abstraction
 This package contains the introspection data for Cinnamon pulseaudio
 abstraction.
Breaks: cinnamon (<< 3.4), cinnamon-settings-daemon (<< 3.4)

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --parallel --with=autoreconf,gir,gnome,python2

override_dh_autoreconf:
	NOCONFIGURE=1 dh_autoreconf --as-needed ./autogen.sh

override_dh_gnome_clean:
	dh_gnome_clean --no-control

override_dh_auto_configure:
	dh_auto_configure -- \
	    --with-pnp-ids-path=/usr/share/hwdata/pnp.ids \
	    --enable-introspection

override_dh_strip:
	dh_strip --dbgsym-migration='libcinnamon-desktop-dbg (<< 3.0.1-1~)' || dh_strip

override_dh_auto_install:
	dh_auto_install -- typelibdir="/usr/lib/girepository-1.0"

override_dh_install:
	dh_install --list-missing

## cinnamon-desktop 3.4.2%2Bbetsy

=== debian/changelog ===
cinnamon-desktop (3.4.2+betsy) sonya; urgency=medium

  [ Michael Webster ]
  * gnome-wall-clock: Add functionality to allow setting the update interval.  

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 20 Jun 2017 15:24:51 +0200

cinnamon-desktop (3.4.1) sonya; urgency=medium

  [ Clement Lefebvre ]
  * Packaging: Don't expect gnome_bg_set_accountsservice_background() in symbols as it might not be there.

  [ Michael Webster ]
  * gnome-desktop-thumbnail: add EFAULT as an exception to the permission check.  See https://github.com/linuxmint/nemo/commit/b58bea5384436fda9cb6b31f7010f72d3c74e76a.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 23 May 2017 15:31:13 +0100

cinnamon-desktop (3.4.0) sonya; urgency=medium

  [ JosephMcc ]
  * schemas: Add some new keys for High Contrast

  [ brownsr ]
  * gvc-mixer-control: fix double-free when setting headset https://git.gnome.org/browse/libgnome-volume-control/commit/?id=a28e23d9006a32c8982ad8bda11fec131c6b36e8 https://git.gnome.org/browse/libgnome-volume-control/commit/?id=25bf3ed75fa604fa73e8b25241119a993fc659d6
  * gvc-mixer-control: fix reference being leaked https://git.gnome.org/browse/libgnome-volume-control/commit/?id=d52194fce13f4b477afc997ff752233aa6886cbf

  [ leigh123linux ]
  * remove aclocal from autogen
  * Add detection for accountsservice background as it's ubuntu only

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 03 May 2017 12:11:53 +0100

cinnamon-desktop (3.2.4) serena; urgency=medium

  * Fix dpkg build

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 13 Dec 2016 23:00:05 +0000

## cinnamon-desktop 3.4.2+betsy

=== debian/control ===
Source: cinnamon-desktop
Section: x11
Priority: optional
Maintainer: Clement Lefebvre <root@linuxmint.com>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               autoconf-archive,
               dh-python,
               dh-exec,
               dpkg-dev (>= 1.15.1),
               gnome-doc-utils (>= 0.3.2),
               gnome-pkg-tools (>= 0.10),
               gobject-introspection (>= 0.10.2-1~),
               gtk-doc-tools (>= 1.4),
               intltool (>= 0.40.6),
               libaccountsservice-dev,
               libgdk-pixbuf2.0-dev (>= 2.22.0),
               libgirepository1.0-dev (>= 0.10.2-1~),
               libglib2.0-dev (>= 2.37.3),
               libgtk-3-dev (>= 3.3.16),
               libx11-dev,
               libxext-dev,
               libxkbfile-dev,
               libxml2-dev (>= 2.4.20),
               libxrandr-dev (>= 2:1.3),
               python,
               xkb-data,
               libpulse-dev,
               yelp-tools
Standards-Version: 3.9.6
XS-Testsuite: autopkgtest

Package: cinnamon-desktop-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${python:Depends}, python, python-gi
Description: Common files for Cinnamon desktop apps
 This package includes files that are shared between several Cinnamon
 apps (i18n files and configuration schemas).

Package: libcinnamon-desktop4
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: cinnamon-desktop-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: hwdata (>= 0.227-1)
Description: Cinnamon library for loading .desktop files
 This library is used by Cinnamon to load the .desktop files.

Package: libcinnamon-desktop-dev
Section: libdevel
Architecture: any
Depends: gir1.2-cinnamondesktop-3.0 (= ${binary:Version}),
         libcinnamon-desktop4 (= ${binary:Version}),
         libgtk-3-dev (>= 3.3.16),
         libxkbfile-dev,
         ${misc:Depends}
Description: Cinnamon library for loading .desktop files - development files
 This package provides the include files and static library for the Cinnamon
 desktop library functions.

Package: gir1.2-cinnamondesktop-3.0
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: Introspection data for CinnamonDesktop
 This package contains the introspection data for CinnamonDesktop.

Package: libcinnamon-desktop-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libcinnamon-desktop4 (= ${binary:Version}), ${misc:Depends}
Description: Cinnamon library for loading .desktop files - debug symbols
 This package contains the symbols files needed to debug the Cinnamon desktop
 library.

Package: libcvc0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Utility library for volume control of pulseaudio from gobject-based
 Cinnamon modules/applications.

Package: libcvc-dev
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: gir1.2-cvc-1.0 (= ${binary:Version}),
         libcvc0 (= ${binary:Version}),
         ${misc:Depends}
Description: Utility library for volume control of pulseaudio from gobject-based
 Cinnamon modules/applications.  This package provides the include files and static
 library for cvc.

Package: gir1.2-cvc-1.0
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: Utility library for volume control of pulseaudio from gobject-based
 Cinnamon modules/applications.  This package contains the introspection data for Cvc.

Package: libcvc-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libcvc0 (= ${binary:Version}), ${misc:Depends}
Description: Utility library for volume control of pulseaudio from gobject-based
 Cinnamon modules/applications.  This package contains the symbols files needed to
 debug the Cvc library.

## cinnamon-desktop 3.4.2+sonya

=== debian/changelog ===
cinnamon-desktop (3.4.2+sonya) sonya; urgency=medium

  [ Michael Webster ]
  * gnome-wall-clock: Add functionality to allow setting the update interval.  

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 20 Jun 2017 15:24:51 +0200

## cinnamon-desktop 3.6.2

=== debian/changelog ===
cinnamon-desktop (3.6.2-2) unstable; urgency=medium

  * New revision
  * Drop dh-autoreconf (no longer needed with dh >= 10)
  * Drop dh's parallel arg (no longer needed with dh >= 10)
  * Drop disabled debian/tests.
    Thanks to Jeremy Bicha for the report (Closes: 894166)
  * Python script migrated to python3.
    Thanks to Mike Neac for the heads up
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Tue, 27 Mar 2018 17:48:45 +0200

cinnamon-desktop (3.6.2-1) unstable; urgency=medium

  [ Fabio Fantoni ]
  * Add missed gir1.2-cvc-1.0 and libpulse-dev to libcinnamon-desktop-dev deps.
  * New upstream release (3.6.2).
  * Bump group breaks (3.6).
  * Update symbols.
  * remove gsettings override of a key removed upstream
  * update debian/copyright

  [ Maximiliano Curia ]
  * Disable acc test, dh-acc now gets confused by the libc's ldscripts
  * Set new ml as Maintainer
  * Bump Standards-Version to 4.1.3.
  * Bump debhelper build-dep and compat to 11.
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 Mar 2018 15:06:50 +0200

=== debian/control ===
Source: cinnamon-desktop
Section: x11
Priority: optional
Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
Uploaders:
 Maximiliano Curia <maxy@debian.org>,
 Margarita Manterola <marga@debian.org>,
 Fabio Fantoni <fantonifabio@tiscali.it>,
Build-Depends:
 autoconf-archive,
 automake,
 debhelper (>= 11~),
 dh-python,
 dpkg-dev (>= 1.15.1),
 gnome-doc-utils (>= 0.3.2),
 gnome-pkg-tools (>= 0.10),
 gobject-introspection (>= 0.10.2-1~),
 gtk-doc-tools (>= 1.4),
 intltool (>= 0.40.6),
 libaccountsservice-dev,
 libgdk-pixbuf2.0-dev (>= 2.22.0),
 libgirepository1.0-dev (>= 0.10.2-1~),
 libglib2.0-dev (>= 2.37.3),
 libgtk-3-dev (>= 3.3.16),
 libpulse-dev,
 libx11-dev,
 libxext-dev,
 libxkbfile-dev,
 libxml2-dev (>= 2.4.20),
 libxrandr-dev (>= 2:1.3),
 python3:any,
 xkb-data,
 yelp-tools,
Standards-Version: 4.1.3
Homepage: http://cinnamon.linuxmint.com/
Vcs-Browser: https://salsa.debian.org/cinnamon-team/cinnamon-desktop
Vcs-Git: https://salsa.debian.org/cinnamon-team/cinnamon-desktop.git

Package: cinnamon-desktop-data
Architecture: all
Breaks:
 cinnamon (<< 3.6),
 cinnamon-control-center (<< 3.6),
 cinnamon-screensaver (<< 3.6),
 cinnamon-session (<< 3.6),
 cinnamon-settings-daemon (<< 3.6),
Multi-Arch: foreign
Depends: python3, python3-gi, ${misc:Depends}, ${python3:Depends}
Description: Common files for Cinnamon desktop apps
 This package includes files that are shared between several Cinnamon
 apps (i18n files and configuration schemas).

Package: gir1.2-cinnamondesktop-3.0
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: Introspection data for CinnamonDesktop
 This package contains the introspection data for CinnamonDesktop.
Breaks:
 cinnamon-common (<< 3.6),
 cinnamon-screensaver (<< 3.6),
 gir1.2-meta-muffin-0.0 (<< 3.6),

Package: gir1.2-cvc-1.0
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: Introspection data for Cinnamon pulseaudio abstraction
 This package contains the introspection data for Cinnamon pulseaudio
 abstraction.
Breaks: cinnamon (<< 3.6), cinnamon-settings-daemon (<< 3.6)

Package: libcinnamon-desktop-dev
Section: libdevel
Architecture: any
Depends:
 gir1.2-cinnamondesktop-3.0 (= ${binary:Version}),
 gir1.2-cvc-1.0 (= ${binary:Version}),
 libcinnamon-desktop4 (= ${binary:Version}),
 libcvc0 (= ${binary:Version}),
 libgtk-3-dev (>= 3.3.16),
 libpulse-dev,
 libxkbfile-dev,
 ${misc:Depends},
Description: Cinnamon library for loading .desktop files - development files
 This package provides the include files and static library for the Cinnamon
 desktop library functions.

Package: libcinnamon-desktop4
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 cinnamon-desktop-data (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: hwdata (>= 0.227-1)
Breaks:
 cinnamon-control-center (<< 3.6),
 cinnamon-settings-daemon (<< 3.6),
 libcinnamon-control-center1 (<< 3.6),
 nemo (<< 3.6),
Description: Cinnamon library for loading .desktop files
 This library is used by Cinnamon to load the .desktop files.

Package: libcvc0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Cinnamon pulseaudio abstraction library
 This library contains code to access PulseAudio using a GObject
 based library, shared between cinnamon-control-center, cinnamon-settings-daemon
 and cinnamon. It is not API stable, and it is meant to be used
 as a submodule.
Breaks: cinnamon-settings-daemon (<< 3.6)

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 %:
-	dh $@ --parallel --with=autoreconf,gir,gnome,python2
+	dh $@ --with=gir,gnome,python3
 
 override_dh_autoreconf:
 	NOCONFIGURE=1 dh_autoreconf --as-needed ./autogen.sh
@@ -24,4 +24,3 @@
 
 override_dh_install:
 	dh_install --list-missing
-

## cinnamon-desktop 3.6.2+sylvia

=== debian/changelog ===
cinnamon-desktop (3.6.2+sylvia) sylvia; urgency=medium

  * Set org.cinnamon.desktop.screensaver ask-for-away-message to False

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 11 Nov 2017 17:16:29 +0000

cinnamon-desktop (3.6.1) sylvia; urgency=medium

  * Default: Change idle-delay default to 15 min.
  * Remove obsolete gsettings key

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 09 Nov 2017 12:38:36 +0000

cinnamon-desktop (3.6.0) sylvia; urgency=medium

  [ Michael Webster ]
  * gnome-wall-clock: Improve api, handle seconds timing based on format string

  [ leigh123linux ]
  * Use logind for default

  [ Troy Curtis ]
  * Trivial syntax fixes to support python3. (#97)

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 13 Aug 2017 15:02:01 -0400

cinnamon-desktop (3.4.2) sonya; urgency=medium

  [ Michael Webster ]
  * gnome-wall-clock: Add functionality to allow setting the update interval.  

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 20 Jun 2017 15:24:51 +0200

## cinnamon-desktop 3.8.1

=== meson_options.txt ===
option('deprecation-flags', type: 'boolean', value: true)
option('pnp-ids-path',      type: 'string',  value: '')
option('use-alsa',          type: 'boolean', value: false)

=== debian/changelog ===
cinnamon-desktop (3.8.1-2~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 16 Nov 2018 11:30:52 -0800

cinnamon-desktop (3.8.1-2) unstable; urgency=medium

  * New revision
  * Drop dbgsym-migration rule\
  * Enable hardening bindnow
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Tue, 07 Aug 2018 14:51:30 +0200

cinnamon-desktop (3.8.1-1) experimental; urgency=medium

  [ Fabio Fantoni ]
  * New upstream release (3.8.1).

  [ Maximiliano Curia ]
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 May 2018 19:45:48 +0200

cinnamon-desktop (3.8.0-1) experimental; urgency=medium

  [ Fabio Fantoni ]
  * New upstream release (3.8.0).
  * Bump group breaks (3.8).
  * Update debian/copyright.
  * Update symbols.
  * debian/rules: remove deprecated dh_install
  * debian/rules: add dh_missing --list-missing until will be default
  * debian/control: increase debhelper to 11.1 for improved not-installed usage

  [ Maximiliano Curia ]
  * Update mimeapps, thunderbird recovered its name
  * Drop unused source lintian override
  * Bump Standards-Version to 4.1.4.
  * Bump group breaks (3.8)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 May 2018 14:30:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,17 @@
 Source: cinnamon-desktop
 Section: x11
 Priority: optional
-Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
 Uploaders:
  Maximiliano Curia <maxy@debian.org>,
  Margarita Manterola <marga@debian.org>,
  Fabio Fantoni <fantonifabio@tiscali.it>,
 Build-Depends:
- autoconf-archive,
- automake,
- debhelper (>= 11~),
+ debhelper (>= 11.1~),
  dh-python,
  dpkg-dev (>= 1.15.1),
  gnome-doc-utils (>= 0.3.2),
- gnome-pkg-tools (>= 0.10),
  gobject-introspection (>= 0.10.2-1~),
  gtk-doc-tools (>= 1.4),
  intltool (>= 0.40.6),
@@ -28,10 +26,11 @@
  libxkbfile-dev,
  libxml2-dev (>= 2.4.20),
  libxrandr-dev (>= 2:1.3),
+ meson (>= 0.40.0),
  python3:any,
  xkb-data,
  yelp-tools,
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: http://cinnamon.linuxmint.com/
 Vcs-Browser: https://salsa.debian.org/cinnamon-team/cinnamon-desktop
 Vcs-Git: https://salsa.debian.org/cinnamon-team/cinnamon-desktop.git
@@ -39,11 +38,11 @@
 Package: cinnamon-desktop-data
 Architecture: all
 Breaks:
- cinnamon (<< 3.6),
- cinnamon-control-center (<< 3.6),
- cinnamon-screensaver (<< 3.6),
- cinnamon-session (<< 3.6),
- cinnamon-settings-daemon (<< 3.6),
+ cinnamon (<< 3.8),
+ cinnamon-control-center (<< 3.8),
+ cinnamon-screensaver (<< 3.8),
+ cinnamon-session (<< 3.8),
+ cinnamon-settings-daemon (<< 3.8),
 Multi-Arch: foreign
 Depends: python3, python3-gi, ${misc:Depends}, ${python3:Depends}
 Description: Common files for Cinnamon desktop apps
@@ -57,9 +56,9 @@
 Description: Introspection data for CinnamonDesktop
  This package contains the introspection data for CinnamonDesktop.
 Breaks:
- cinnamon-common (<< 3.6),
- cinnamon-screensaver (<< 3.6),
- gir1.2-meta-muffin-0.0 (<< 3.6),
+ cinnamon-common (<< 3.8),
+ cinnamon-screensaver (<< 3.8),
+ gir1.2-meta-muffin-0.0 (<< 3.8),
 
 Package: gir1.2-cvc-1.0
 Section: introspection
@@ -68,7 +67,7 @@
 Description: Introspection data for Cinnamon pulseaudio abstraction
  This package contains the introspection data for Cinnamon pulseaudio
  abstraction.
-Breaks: cinnamon (<< 3.6), cinnamon-settings-daemon (<< 3.6)
+Breaks: cinnamon (<< 3.8), cinnamon-settings-daemon (<< 3.8)
 
 Package: libcinnamon-desktop-dev
 Section: libdevel
@@ -85,6 +84,7 @@
 Description: Cinnamon library for loading .desktop files - development files
  This package provides the include files and static library for the Cinnamon
  desktop library functions.
+Breaks: libmuffin-dev (<< 3.8)
 
 Package: libcinnamon-desktop4
 Section: libs
@@ -97,10 +97,10 @@
  ${shlibs:Depends},
 Recommends: hwdata (>= 0.227-1)
 Breaks:
- cinnamon-control-center (<< 3.6),
- cinnamon-settings-daemon (<< 3.6),
- libcinnamon-control-center1 (<< 3.6),
- nemo (<< 3.6),
+ cinnamon-control-center (<< 3.8),
+ cinnamon-settings-daemon (<< 3.8),
+ libcinnamon-control-center1 (<< 3.8),
+ nemo (<< 3.8),
 Description: Cinnamon library for loading .desktop files
  This library is used by Cinnamon to load the .desktop files.
 
@@ -114,4 +114,4 @@
  based library, shared between cinnamon-control-center, cinnamon-settings-daemon
  and cinnamon. It is not API stable, and it is meant to be used
  as a submodule.
-Breaks: cinnamon-settings-daemon (<< 3.6)
+Breaks: cinnamon-settings-daemon (<< 3.8)

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@ --with=gir,python3

override_dh_auto_configure:
	dh_auto_configure -- \
	    -Dpnp-ids-path=/usr/share/hwdata/pnp.ids \
	    -Ddeprecation-flags=false

# --list-missing will be default in compat 12
override_dh_missing:
	dh_missing --list-missing

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## cinnamon-desktop 3.8.1+tara

=== debian/changelog ===
cinnamon-desktop (3.8.1+tara) tara; urgency=medium

  [ Jason Hicks ]
  * Add key binding setting for showing desklets (#115)

  [ Soapux ]
  * Fix pkgconfig version and fix spacing (#113)

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 06 May 2018 15:37:14 +0100

cinnamon-desktop (3.8.0) tara; urgency=medium

  [ Michael Webster ]
  * gnome-wall-clock.c: adjust DATE_ONLY msgid to match the one originally in cinnamon-screensaver, and graft in existing translations from cinnamon-screensaver 3.2.2.
  * gnome-wall-clock.c: Add some comments for translators for our date formats.

  [ Clement Lefebvre ]
  * Add CI configuration
  * Fix CI
  * Fix CI
  * CI: Rename GHR tags
  * CI: Simplify GH release archive name
  * Remove gsettings key org.cinnamon.desktop.interface gtk-decoration-layout
  * Add a setting for maximum sound volume.
  * Don't use -x with gnome-terminal
  * Revert "Don't use -x with gnome-terminal"

  [ Félix Piédallu ]
  * Add Meson Build support.
  * Use Meson for Debian packaging
  * Removed Autotools build system

  [ Michael Webster ]
  * Remove libgsystem
  * Add schema compile post-install; debian: package debug symbols; add debian/clean, remove override; Fix gschema enum generation; Couple of build fixes, warnings
  * Fix AccountsService set_background check
  * Make alsa support opt-in (We've never built with it, I don't want to accidentally start at this time)
  * libcvc: fix pc version, libcinnamon-desktop: fix enum generation
  * gnome-bg.c: Add support for setting the user background via org.freedesktop.DisplayManager.AccountsService, while retaining support for the old method (for mint 18/xenial.)
  * gnome-bg.c: Fix SetBackgroundFile call - parameters must be a GVariant tuple.

  [ Jason Hicks ]
  * Notifications: Add bottom position option (#100)

  [ itzexor ]
  * gnome-bg: don't unref NULL gvariant (#106)

  [ James Ross ]
  * gnome-bg: proper fix for NULL gvariant unref (#109)

  [ Fabio Fantoni ]
  * Add debian/not-installed
  * Add maint script to remove old config file
  * debian: migration to python3
  * debian: wrap-and-sort -bst
  * debian/control: drop not needed XS-Testsuite field
  * update debian/copyright
  * remove a lintian override no longer needed
  * small improve to debian/control
  * debian/copyright: missed one removed file
  * Bump debhelper build-dep and compat to 10
  * Drop disabled debian/tests
  * Drop dh's parallel arg (no longer needed with dh >= 10)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 16 Apr 2018 15:18:42 +0100

cinnamon-desktop (3.6.2) sylvia; urgency=medium

  * Set org.cinnamon.desktop.screensaver ask-for-away-message to False

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 11 Nov 2017 17:16:29 +0000

=== debian/control ===
Source: cinnamon-desktop
Section: x11
Priority: optional
Maintainer: Clement Lefebvre <root@linuxmint.com>
Build-Depends:
 debhelper (>= 10),
 dh-python,
 dpkg-dev (>= 1.15.1),
 gnome-doc-utils (>= 0.3.2),
 gobject-introspection (>= 0.10.2-1~),
 gtk-doc-tools (>= 1.4),
 intltool (>= 0.40.6),
 libaccountsservice-dev,
 libgdk-pixbuf2.0-dev (>= 2.22.0),
 libgirepository1.0-dev (>= 0.10.2-1~),
 libglib2.0-dev (>= 2.37.3),
 libgtk-3-dev (>= 3.3.16),
 libpulse-dev,
 libx11-dev,
 libxext-dev,
 libxkbfile-dev,
 libxml2-dev (>= 2.4.20),
 libxrandr-dev (>= 2:1.3),
 meson,
 python3:any,
 xkb-data,
 yelp-tools,
Standards-Version: 3.9.6

Package: cinnamon-desktop-data
Architecture: all
Multi-Arch: foreign
Depends: python3, python3-gi, ${misc:Depends}, ${python3:Depends}
Description: Common files for Cinnamon desktop apps
 This package includes files that are shared between several Cinnamon
 apps (i18n files and configuration schemas).

Package: gir1.2-cinnamondesktop-3.0
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: Introspection data for CinnamonDesktop
 This package contains the introspection data for CinnamonDesktop.

Package: gir1.2-cvc-1.0
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: Introspection data for Cinnamon pulseaudio abstraction
 This package contains the introspection data for Cinnamon pulseaudio
 abstraction.

Package: libcinnamon-desktop-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libcinnamon-desktop4 (= ${binary:Version}), ${misc:Depends}
Description: Cinnamon library for loading .desktop files - debug symbols
 This package contains the symbols files needed to debug the Cinnamon desktop
 library.

Package: libcinnamon-desktop-dev
Section: libdevel
Architecture: any
Depends:
 gir1.2-cinnamondesktop-3.0 (= ${binary:Version}),
 libcinnamon-desktop4 (= ${binary:Version}),
 libgtk-3-dev (>= 3.3.16),
 libxkbfile-dev,
 ${misc:Depends},
Description: Cinnamon library for loading .desktop files - development files
 This package provides the include files and static library for the Cinnamon
 desktop library functions.

Package: libcinnamon-desktop4
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 cinnamon-desktop-data (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: hwdata (>= 0.227-1)
Description: Cinnamon library for loading .desktop files
 This library is used by Cinnamon to load the .desktop files.

Package: libcvc-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libcvc0 (= ${binary:Version}), ${misc:Depends}
Description: Cinnamon pulseaudio abstraction library - debug symbols
 This package contains the symbols files needed to
 debug the Cvc library.

Package: libcvc-dev
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 gir1.2-cvc-1.0 (= ${binary:Version}),
 libcvc0 (= ${binary:Version}),
 libpulse-dev,
 ${misc:Depends},
Description: Cinnamon pulseaudio abstraction library - development files
 This package provides the include files and static
 library for cvc.

Package: libcvc0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Cinnamon pulseaudio abstraction library
 This library contains code to access PulseAudio using a GObject
 based library, shared between cinnamon-control-center, cinnamon-settings-daemon
 and cinnamon. It is not API stable, and it is meant to be used
 as a submodule.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with=gir,python3

override_dh_auto_configure:
	mkdir -p debian/build
	meson debian/build \
		--prefix=/usr \
		--buildtype=plain \
		-Dpnp-ids-path=/usr/share/hwdata/pnp.ids \
		-Ddeprecation-flags=false

override_dh_auto_build:
	ninja -C debian/build

override_dh_auto_test:
	ninja -C debian/build test

override_dh_strip:
	dh_strip -Xdesktop -Xcinnamon --dbg-package=libcvc-dbg
	dh_strip -Xcvc --dbg-package=libcinnamon-desktop-dbg

override_dh_auto_install:
	DESTDIR=${CURDIR}/debian/tmp \
	ninja -C debian/build install

## cinnamon-desktop 4.0.1

=== debian/changelog ===
cinnamon-desktop (4.0.1-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (4.0.1)

  [ Maximiliano Curia ]
  * Add a basic salsa-ci.yml config
  * Bump Standards Version to 4.4.0
  * Add an extra repository
  * Build with extra repository
  * Copy the trusted.gpg.d instead of just one file
  * Test check_rc_bugs.py with the junit output
  * I do need to fetch the git repo to test this
  * Use salsa-ci/pipeline
  * Add a basic gbp.conf
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 29 Aug 2019 12:04:47 -0300

=== debian/control ===
Source: cinnamon-desktop
Section: x11
Priority: optional
Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
Uploaders:
 Maximiliano Curia <maxy@debian.org>,
 Margarita Manterola <marga@debian.org>,
 Fabio Fantoni <fantonifabio@tiscali.it>,
Build-Depends:
 debhelper (>= 11.1~),
 dh-python,
 dpkg-dev (>= 1.15.1),
 gnome-doc-utils (>= 0.3.2),
 gobject-introspection (>= 0.10.2-1~),
 gtk-doc-tools (>= 1.4),
 intltool (>= 0.40.6),
 libaccountsservice-dev,
 libgdk-pixbuf2.0-dev (>= 2.22.0),
 libgirepository1.0-dev (>= 0.10.2-1~),
 libglib2.0-dev (>= 2.37.3),
 libgtk-3-dev (>= 3.3.16),
 libpulse-dev,
 libx11-dev,
 libxext-dev,
 libxkbfile-dev,
 libxml2-dev (>= 2.4.20),
 libxrandr-dev (>= 2:1.3),
 meson (>= 0.40.0),
 python3:any,
 xkb-data,
 yelp-tools,
Standards-Version: 4.4.0
Homepage: http://cinnamon.linuxmint.com/
Vcs-Browser: https://salsa.debian.org/cinnamon-team/cinnamon-desktop
Vcs-Git: https://salsa.debian.org/cinnamon-team/cinnamon-desktop.git

Package: cinnamon-desktop-data
Architecture: all
Breaks:
 cinnamon (<< 4.0),
 cinnamon-control-center (<< 4.0),
 cinnamon-screensaver (<< 4.0),
 cinnamon-session (<< 4.0),
 cinnamon-settings-daemon (<< 4.0),
Multi-Arch: foreign
Depends: python3, python3-gi, ${misc:Depends}, ${python3:Depends}
Description: Common files for Cinnamon desktop apps
 This package includes files that are shared between several Cinnamon
 apps (i18n files and configuration schemas).

Package: gir1.2-cinnamondesktop-3.0
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: Introspection data for CinnamonDesktop
 This package contains the introspection data for CinnamonDesktop.
Breaks:
 cinnamon-common (<< 4.0),
 cinnamon-screensaver (<< 4.0),
 gir1.2-meta-muffin-0.0 (<< 4.0),

Package: gir1.2-cvc-1.0
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: Introspection data for Cinnamon pulseaudio abstraction
 This package contains the introspection data for Cinnamon pulseaudio
 abstraction.
Breaks: cinnamon (<< 4.0), cinnamon-settings-daemon (<< 4.0)

Package: libcinnamon-desktop-dev
Section: libdevel
Architecture: any
Depends:
 gir1.2-cinnamondesktop-3.0 (= ${binary:Version}),
 gir1.2-cvc-1.0 (= ${binary:Version}),
 libcinnamon-desktop4 (= ${binary:Version}),
 libcvc0 (= ${binary:Version}),
 libgtk-3-dev (>= 3.3.16),
 libpulse-dev,
 libxkbfile-dev,
 ${misc:Depends},
Description: Cinnamon library for loading .desktop files - development files
 This package provides the include files and static library for the Cinnamon
 desktop library functions.
Breaks: libmuffin-dev (<< 4.0)

Package: libcinnamon-desktop4
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 cinnamon-desktop-data (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: hwdata (>= 0.227-1)
Breaks:
 cinnamon-control-center (<< 4.0),
 cinnamon-settings-daemon (<< 4.0),
 libcinnamon-control-center1 (<< 4.0),
 nemo (<< 4.0),
Description: Cinnamon library for loading .desktop files
 This library is used by Cinnamon to load the .desktop files.

Package: libcvc0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Cinnamon pulseaudio abstraction library
 This library contains code to access PulseAudio using a GObject
 based library, shared between cinnamon-control-center, cinnamon-settings-daemon
 and cinnamon. It is not API stable, and it is meant to be used
 as a submodule.
Breaks: cinnamon-settings-daemon (<< 4.0)

## cinnamon-desktop 4.0.1+tessa

=== debian/changelog ===
cinnamon-desktop (4.0.1+tessa) tessa; urgency=medium

  [ Clement Lefebvre ]
  * CI: Remove Mint 18

  [ Michael Webster ]
  * screensaver schema: deprecate screensaver plugin keys.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 12 Nov 2018 15:05:18 +0000

cinnamon-desktop (4.0.0) tessa; urgency=medium

  [ Soapux ]
  * Update style of meson build options (#116)

  [ Jackson Dearnley ]
  * org.cinnamon.default-applications.gschema.xml.in.in: Define schema for a default calculator application (#120)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 30 Oct 2018 14:03:01 +0000

cinnamon-desktop (3.8.1) tara; urgency=medium

  [ Jason Hicks ]
  * Add key binding setting for showing desklets (#115)

  [ Soapux ]
  * Fix pkgconfig version and fix spacing (#113)

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 06 May 2018 15:37:14 +0100

## cinnamon-desktop 4.2.0

=== debian/changelog ===
cinnamon-desktop (4.2.0-2~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 25 Oct 2019 11:44:19 -0700

cinnamon-desktop (4.2.0-2) unstable; urgency=medium

  * Upload to unstable
  * Replace evince.desktop with org.gnome.Evince.desktop (Closes: #940677)

 -- Norbert Preining <norbert@preining.info>  Mon, 30 Sep 2019 22:27:37 +0900

cinnamon-desktop (4.2.0-1) experimental; urgency=medium

  * New upstream release (4.2.0)
  * add myself to uploaders, release to experimental

 -- Norbert Preining <norbert@preining.info>  Sun, 01 Sep 2019 10:52:29 +0900

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: cinnamon-desktop
 Section: x11
 Priority: optional
-Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
 Uploaders:
  Maximiliano Curia <maxy@debian.org>,
  Margarita Manterola <marga@debian.org>,
  Fabio Fantoni <fantonifabio@tiscali.it>,
+ Norbert Preining <norbert@preining.info>
 Build-Depends:
  debhelper (>= 11.1~),
  dh-python,

## cinnamon-desktop 4.2.0%2Bcindy

=== debian/changelog ===
cinnamon-desktop (4.2.0+cindy) tina; urgency=medium

  [ Michael Webster ]
  * gnome-wall-clock.c: Fix memory leak when a custom format string is in use.

  [ Dušan Kazik ]
  * Update slovak translation (#123)

  [ Leigh Scott ]
  * Update for meson changes (#126)

  [ Clement Lefebvre ]
  * Privacy: Enable recents by default

  [ Eli Schwartz ]
  * Remove legacy migration script from cinnamon 2.4 (#127)
  * Meson deprecations (#128)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 14 Jun 2019 12:45:15 +0100

cinnamon-desktop (4.0.1) tessa; urgency=medium

  [ Clement Lefebvre ]
  * CI: Remove Mint 18

  [ Michael Webster ]
  * screensaver schema: deprecate screensaver plugin keys.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 12 Nov 2018 15:05:18 +0000

## cinnamon-desktop 4.2.0+tina

=== debian/changelog ===
cinnamon-desktop (4.2.0+tina) tina; urgency=medium

  [ Michael Webster ]
  * gnome-wall-clock.c: Fix memory leak when a custom format string is in use.

  [ Dušan Kazik ]
  * Update slovak translation (#123)

  [ Leigh Scott ]
  * Update for meson changes (#126)

  [ Clement Lefebvre ]
  * Privacy: Enable recents by default

  [ Eli Schwartz ]
  * Remove legacy migration script from cinnamon 2.4 (#127)
  * Meson deprecations (#128)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 14 Jun 2019 12:45:15 +0100

## cinnamon-desktop 4.4.1

=== meson_options.txt ===
option('deprecation_warnings', type: 'boolean', value: false,
       description: 'Show compiler warnings about deprecated features')
option('pnp_ids', type: 'string',  value: '',
       description: 'Specify the path to pnp.ids (default is an internal copy)')
option('alsa', type: 'boolean', value: false,
       description: 'ALSA support')

=== debian/changelog ===
cinnamon-desktop (4.4.1-3) unstable; urgency=medium

  [ Fabio Fantoni ]
  * Bump reverse-deps to avoid partial upgrade on testing migration

 -- Norbert Preining <norbert@preining.info>  Mon, 10 Feb 2020 22:46:35 +0900

cinnamon-desktop (4.4.1-2) unstable; urgency=medium

  * Upload to unstable

 -- Norbert Preining <norbert@preining.info>  Tue, 04 Feb 2020 08:37:24 +0900

cinnamon-desktop (4.4.1-1) experimental; urgency=medium

  * New upstream version 4.4.1
  * Remove gnome-doc-utils, yelp-tools is used (Closes: #945137) 
  * Update symbols file

 -- Norbert Preining <norbert@preining.info>  Sun, 19 Jan 2020 09:45:31 +0900

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: cinnamon-desktop
 Section: x11
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
+Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
 Uploaders:
  Maximiliano Curia <maxy@debian.org>,
  Margarita Manterola <marga@debian.org>,
@@ -12,7 +11,6 @@
  debhelper (>= 11.1~),
  dh-python,
  dpkg-dev (>= 1.15.1),
- gnome-doc-utils (>= 0.3.2),
  gobject-introspection (>= 0.10.2-1~),
  gtk-doc-tools (>= 1.4),
  intltool (>= 0.40.6),
@@ -39,11 +37,11 @@
 Package: cinnamon-desktop-data
 Architecture: all
 Breaks:
- cinnamon (<< 4.0),
- cinnamon-control-center (<< 4.0),
- cinnamon-screensaver (<< 4.0),
- cinnamon-session (<< 4.0),
- cinnamon-settings-daemon (<< 4.0),
+ cinnamon (<< 4.4),
+ cinnamon-control-center (<< 4.4),
+ cinnamon-screensaver (<< 4.4),
+ cinnamon-session (<< 4.4),
+ cinnamon-settings-daemon (<< 4.4),
 Multi-Arch: foreign
 Depends: python3, python3-gi, ${misc:Depends}, ${python3:Depends}
 Description: Common files for Cinnamon desktop apps
@@ -57,9 +55,9 @@
 Description: Introspection data for CinnamonDesktop
  This package contains the introspection data for CinnamonDesktop.
 Breaks:
- cinnamon-common (<< 4.0),
- cinnamon-screensaver (<< 4.0),
- gir1.2-meta-muffin-0.0 (<< 4.0),
+ cinnamon-common (<< 4.4),
+ cinnamon-screensaver (<< 4.4),
+ gir1.2-meta-muffin-0.0 (<< 4.4),
 
 Package: gir1.2-cvc-1.0
 Section: introspection
@@ -68,7 +66,7 @@
 Description: Introspection data for Cinnamon pulseaudio abstraction
  This package contains the introspection data for Cinnamon pulseaudio
  abstraction.
-Breaks: cinnamon (<< 4.0), cinnamon-settings-daemon (<< 4.0)
+Breaks: cinnamon (<< 4.4), cinnamon-settings-daemon (<< 4.4)
 
 Package: libcinnamon-desktop-dev
 Section: libdevel
@@ -85,7 +83,7 @@
 Description: Cinnamon library for loading .desktop files - development files
  This package provides the include files and static library for the Cinnamon
  desktop library functions.
-Breaks: libmuffin-dev (<< 4.0)
+Breaks: libmuffin-dev (<< 4.4)
 
 Package: libcinnamon-desktop4
 Section: libs
@@ -98,9 +96,9 @@
  ${shlibs:Depends},
 Recommends: hwdata (>= 0.227-1)
 Breaks:
- cinnamon-control-center (<< 4.0),
- cinnamon-settings-daemon (<< 4.0),
- libcinnamon-control-center1 (<< 4.0),
+ cinnamon-control-center (<< 4.4),
+ cinnamon-settings-daemon (<< 4.4),
+ libcinnamon-control-center1 (<< 4.4),
  nemo (<< 4.0),
 Description: Cinnamon library for loading .desktop files
  This library is used by Cinnamon to load the .desktop files.
@@ -115,4 +113,4 @@
  based library, shared between cinnamon-control-center, cinnamon-settings-daemon
  and cinnamon. It is not API stable, and it is meant to be used
  as a submodule.
-Breaks: cinnamon-settings-daemon (<< 4.0)
+Breaks: cinnamon-settings-daemon (<< 4.4)

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@ --with=gir,python3

override_dh_auto_configure:
	dh_auto_configure -- \
	    -Dpnp_ids=/usr/share/hwdata/pnp.ids \
	    -Ddeprecation_warnings=false

# --list-missing will be default in compat 12
override_dh_missing:
	dh_missing --list-missing

## cinnamon-desktop 4.4.1+tricia

=== debian/changelog ===
cinnamon-desktop (4.4.1+tricia) tricia; urgency=medium

  * Clock: Fix date format when LC_TIME and LANGUAGE are the same, or LC_TIME is NULL (#142)

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 12 Dec 2019 11:01:34 +0000

cinnamon-desktop (4.4.0) tricia; urgency=medium

  [ Leigh Scott ]
  * Fix unused GIR transfer notation on integer values (#130)

  [ Clement Lefebvre ]
  * Fetch clock formats using LC_TIME (as opposed to LANGUAGE) (#132)

  [ Michael Webster ]
  * org.cinnamon.desktop.session schema: Remove logind/consolekit settings for cinnamon-session and cinnamon-settings-daemon.

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 16 Nov 2019 11:50:26 +0100

cinnamon-desktop (4.2.0) tina; urgency=medium

  [ Michael Webster ]
  * gnome-wall-clock.c: Fix memory leak when a custom format string is in use.

  [ Dušan Kazik ]
  * Update slovak translation (#123)

  [ Leigh Scott ]
  * Update for meson changes (#126)

  [ Clement Lefebvre ]
  * Privacy: Enable recents by default

  [ Eli Schwartz ]
  * Remove legacy migration script from cinnamon 2.4 (#127)
  * Meson deprecations (#128)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 14 Jun 2019 12:45:15 +0100
